/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.hadoop.ozone.om.helpers;

import java.util.List;

/**
 * Wrapper class for service discovery, design for broader usage such as
 * security, etc.
 */
public class ServiceInfoEx {

  private List<ServiceInfo> infoList;

  // PEM encoded string of SCM CA certificate.
  private String caCertificate;
  private List<String> caCertPemList;

  public ServiceInfoEx(List<ServiceInfo> infoList,
      String caCertificate, List<String> caCertPemList) {
    this.infoList = infoList;
    this.caCertificate = caCertificate;
    this.caCertPemList = caCertPemList;
  }

  public List<ServiceInfo> getServiceInfoList() {
    return infoList;
  }

  public String getCaCertificate() {
    return caCertificate;
  }

  public List<String> getCaCertPemList() {
    return caCertPemList;
  }
}
